/* ******************************************************************

   author     : puehringer edgar

   compiler   : javac (jdk 1.1.3)            

   class      : AppletMenuBar
   date       : 15.01.98
   description: an superclass empty of MenuBar, that can create a
                panel which can be used as an applet menu. Caution:
                You must use PopupMenu, if you want to display the
                panel and normal Menu if you use it as MenuBar.

*********************************************************************/

/* ******************************************************************
   import statements
*********************************************************************/

import java.awt.*;
import java.awt.event.*;
import java.util.*;

/* ******************************************************************
   top level class declaration
*********************************************************************/

public class AppletMenuBar extends MenuBar {

  // instance variable declarations
  private Vector vector;

  // constructors
  public AppletMenuBar() {
    super();
    vector = new Vector();
  } // end constructor AppletMenuBar

  // methods
  public synchronized Menu add(Menu m) {
    Menu result = super.add(m);
    if (m instanceof PopupMenu) vector.addElement(m);
    return result;
  } // end add

  public Panel getMenuPanel() {
    Panel barPanel = new Panel();
    PopupMenu popup;
    Label label;
    int n = vector.size();
    int i;

    for (i=0; i<n; i++) {
      popup = (PopupMenu)vector.elementAt(i);
      label = new AppletMenuBar$PopupLabel(popup.getLabel(),popup);
      barPanel.add(label);
    } // end for
    return barPanel;
  } // end getMenuPanel

} // end AppletMenuBar

/* ******************************************************************
   class declarations
*********************************************************************/

class AppletMenuBar$PopupLabel extends Label {

  // instance variable declarations
  private PopupMenu popup;

  // constructors
  public AppletMenuBar$PopupLabel(String text, PopupMenu popup) {
    super(text);
    this.popup = popup;
    add(this.popup);
    enableEvents(AWTEvent.MOUSE_EVENT_MASK);
  } // end constructor AppletMenuBar$PopupLabel

  // methods
  public void processMouseEvent(MouseEvent e) {
    if (e.getID() == MouseEvent.MOUSE_CLICKED) {
        popup.show(e.getComponent(),e.getX(),e.getY());
    } // end if
    super.processMouseEvent(e);
  } // end processMouseEvent

} // end AppletMenuBar$PopupLabel

/* ******************************************************************
   end of file
*********************************************************************/
